aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--make/build-jogl.xml1
-rw-r--r--make/build-nativewindow.xml1
-rw-r--r--make/build-newt.xml5
-rwxr-xr-xmake/scripts/make.jogl.all.android-aarch64-cross.sh54
-rwxr-xr-xmake/scripts/make.jogl.all.android-armv6-cross.sh47
-rwxr-xr-xmake/scripts/make.jogl.all.android-x86-cross.sh97
6 files changed, 87 insertions, 118 deletions
diff --git a/make/build-jogl.xml b/make/build-jogl.xml
index 60c1e58ea..ac5c08dfd 100644
--- a/make/build-jogl.xml
+++ b/make/build-jogl.xml
@@ -1561,6 +1561,7 @@
<sequential>
<cc outtype="${output.lib.type}"
usehighleveltool="true"
+ writesoname="true"
objdir="${obj.joglsub}"
outfile="${obj.joglsub}/@{output.lib.name}"
optimize="${c.compiler.optimise}"
diff --git a/make/build-nativewindow.xml b/make/build-nativewindow.xml
index c95c9dbef..7f0057493 100644
--- a/make/build-nativewindow.xml
+++ b/make/build-nativewindow.xml
@@ -888,6 +888,7 @@
<sequential>
<cc outtype="${output.lib.type}"
usehighleveltool="true"
+ writesoname="true"
objdir="${obj.nativewindow}"
outfile="${obj.nativewindow}/@{output.lib.name}"
optimize="${c.compiler.optimise}"
diff --git a/make/build-newt.xml b/make/build-newt.xml
index 626f388b4..b758d20c7 100644
--- a/make/build-newt.xml
+++ b/make/build-newt.xml
@@ -571,7 +571,7 @@
</linker>
<linker id="linker.cfg.android.newt" extends="linker.cfg.android">
- <syslibset dir="${TARGET_PLATFORM_SYSROOT}/usr/lib" libs="android" />
+ <syslibset dir="${env.ANDROID_TOOLCHAIN_SYSROOT0}/usr/lib" libs="android" />
</linker>
<linker id="linker.cfg.solaris.newt.x11" extends="linker.cfg.solaris">
@@ -910,6 +910,7 @@
<sequential>
<cc outtype="${output.lib.type}"
usehighleveltool="true"
+ writesoname="true"
objdir="${obj.newt}"
outfile="${obj.newt}/@{output.lib.name}"
optimize="${c.compiler.optimise}"
@@ -978,6 +979,8 @@
</macrodef>
<target name="c.build.newt.windowlib" unless="setup.nonatives">
+ <echo message="Using compiler.cfg.id ${compiler.cfg.id}" />
+ <echo message="Using linker.cfg.id.oswin ${linker.cfg.id.oswin}" />
<c.build c.compiler.src.files="c.src.files.newt"
output.lib.name="newt"
compiler.cfg.id="${compiler.cfg.id}"
diff --git a/make/scripts/make.jogl.all.android-aarch64-cross.sh b/make/scripts/make.jogl.all.android-aarch64-cross.sh
index 429f083c1..fab266cb9 100755
--- a/make/scripts/make.jogl.all.android-aarch64-cross.sh
+++ b/make/scripts/make.jogl.all.android-aarch64-cross.sh
@@ -1,21 +1,38 @@
#! /bin/sh
-SDIR=`dirname $0`
+SDIR=$(readlink -f `dirname $0`)
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
fi
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh
+LOGF=make.jogl.all.android-aarch64-cross.log
+rm -f ${LOGF}
+
+export ANDROID_HOME=/opt-linux-x86_64/android-sdk-linux_x86_64
+export ANDROID_API_LEVEL=24
+export ANDROID_HOST_TAG=linux-x86_64
+export ANDROID_ABI=arm64-v8a
+
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh >> $LOGF 2>&1
+else
+ echo "${SDIR}/../../../setenv-android-tools.sh doesn't exist!" 2>&1 | tee -a ${LOGF}
+ exit 1
fi
+export GLUEGEN_CPPTASKS_FILE=${SDIR}/../../../gluegen/make/lib/gluegen-cpptasks-android-aarch64.xml
+export PATH_VANILLA=$PATH
+export PATH=${ANDROID_TOOLCHAIN_ROOT}/${ANDROID_TOOLCHAIN_NAME}/bin:${ANDROID_TOOLCHAIN_ROOT}/bin:${ANDROID_HOME}/platform-tools:${ANDROID_BUILDTOOLS_ROOT}:${PATH}
+echo PATH ${PATH} 2>&1 | tee -a ${LOGF}
+echo clang `which clang` 2>&1 | tee -a ${LOGF}
+
export NODE_LABEL=.
export HOST_UID=jogamp
# jogamp02 - 10.1.0.122
export HOST_IP=10.1.0.122
-export HOST_RSYNC_ROOT=PROJECTS/JOGL
+export HOST_RSYNC_ROOT=PROJECTS/JogAmp
export TARGET_UID=jogamp
export TARGET_IP=panda02
@@ -26,37 +43,18 @@ export TARGET_ADB_PORT=5555
export TARGET_ROOT=/data/projects
export TARGET_ANT_HOME=/usr/share/ant
-export ANDROID_VERSION=24
export SOURCE_LEVEL=1.8
export TARGET_LEVEL=1.8
export TARGET_RT_JAR=/opt-share/jre1.8.0_212/lib/rt.jar
-export GCC_VERSION=4.9
-HOST_ARCH=linux-x86_64
-export TARGET_TRIPLE=aarch64-linux-android
-
-export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TARGET_TRIPLE}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
-export TARGET_PLATFORM_SYSROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm64
-
-# Need to add toolchain bins to the PATH.
-# May need to create symbolic links within $NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin
-# cd $NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin
-# ln -s ../../bin/aarch64-linux-android-gcc gcc
-export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION:$PATH"
-
-export GLUEGEN_CPPTASKS_FILE=`pwd`/../../gluegen/make/lib/gluegen-cpptasks-android-aarch64.xml
-
#export JUNIT_DISABLED="true"
#export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
-echo PATH $PATH 2>&1 | tee make.jogl.all.android-aarch64-cross.log
-echo gcc `which gcc` 2>&1 | tee -a make.jogl.all.android-aarch64-cross.log
-
#export JOGAMP_JAR_CODEBASE="Codebase: *.jogamp.org"
export JOGAMP_JAR_CODEBASE="Codebase: *.goethel.localnet"
-# BUILD_ARCHIVE=true \
+#BUILD_ARCHIVE=true \
ant \
-Drootrel.build=build-android-aarch64 \
- $* 2>&1 | tee -a make.jogl.all.android-aarch64-cross.log
-
+ -Dgcc.compat.compiler=clang \
+ $* 2>&1 | tee -a ${LOGF}
diff --git a/make/scripts/make.jogl.all.android-armv6-cross.sh b/make/scripts/make.jogl.all.android-armv6-cross.sh
index 0253765ac..ffdf5ca5f 100755
--- a/make/scripts/make.jogl.all.android-armv6-cross.sh
+++ b/make/scripts/make.jogl.all.android-armv6-cross.sh
@@ -1,21 +1,38 @@
#! /bin/sh
-SDIR=`dirname $0`
+SDIR=$(readlink -f `dirname $0`)
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
fi
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh
+LOGF=make.jogl.all.android-armv6-cross.log
+rm -f ${LOGF}
+
+export ANDROID_HOME=/opt-linux-x86_64/android-sdk-linux_x86_64
+export ANDROID_API_LEVEL=24
+export ANDROID_HOST_TAG=linux-x86_64
+export ANDROID_ABI=armeabi-v7a
+
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh >> $LOGF 2>&1
+else
+ echo "${SDIR}/../../../setenv-android-tools.sh doesn't exist!" 2>&1 | tee -a ${LOGF}
+ exit 1
fi
+export GLUEGEN_CPPTASKS_FILE=${SDIR}/../../../gluegen/make/lib/gluegen-cpptasks-android-armv6.xml
+export PATH_VANILLA=$PATH
+export PATH=${ANDROID_TOOLCHAIN_ROOT}/${ANDROID_TOOLCHAIN_NAME}/bin:${ANDROID_TOOLCHAIN_ROOT}/bin:${ANDROID_HOME}/platform-tools:${ANDROID_BUILDTOOLS_ROOT}:${PATH}
+echo PATH ${PATH} 2>&1 | tee -a ${LOGF}
+echo clang `which clang` 2>&1 | tee -a ${LOGF}
+
export NODE_LABEL=.
export HOST_UID=jogamp
# jogamp02 - 10.1.0.122
export HOST_IP=10.1.0.122
-export HOST_RSYNC_ROOT=PROJECTS/JOGL
+export HOST_RSYNC_ROOT=PROJECTS/JogAmp
export TARGET_UID=jogamp
export TARGET_IP=panda02
@@ -26,31 +43,19 @@ export TARGET_ADB_PORT=5555
export TARGET_ROOT=/data/projects
export TARGET_ANT_HOME=/usr/share/ant
-export ANDROID_VERSION=24
export SOURCE_LEVEL=1.8
export TARGET_LEVEL=1.8
export TARGET_RT_JAR=/opt-share/jre1.8.0_212/lib/rt.jar
-export GCC_VERSION=4.9
-HOST_ARCH=linux-x86_64
-export TARGET_TRIPLE=arm-linux-androideabi
-
-export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TARGET_TRIPLE}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
-export TARGET_PLATFORM_SYSROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm
-
-# Need to add toolchain bins to the PATH.
-export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION:$PATH"
-
-export GLUEGEN_CPPTASKS_FILE=`pwd`/../../gluegen/make/lib/gluegen-cpptasks-android-armv6.xml
-
#export JUNIT_DISABLED="true"
#export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
#export JOGAMP_JAR_CODEBASE="Codebase: *.jogamp.org"
export JOGAMP_JAR_CODEBASE="Codebase: *.goethel.localnet"
-# BUILD_ARCHIVE=true \
+#BUILD_ARCHIVE=true \
ant \
-Drootrel.build=build-android-armv6 \
- $* 2>&1 | tee -a make.jogl.all.android-armv6-cross.log
+ -Dgcc.compat.compiler=clang \
+ $* 2>&1 | tee -a ${LOGF}
diff --git a/make/scripts/make.jogl.all.android-x86-cross.sh b/make/scripts/make.jogl.all.android-x86-cross.sh
index 9fc9e10dc..9487459ca 100755
--- a/make/scripts/make.jogl.all.android-x86-cross.sh
+++ b/make/scripts/make.jogl.all.android-x86-cross.sh
@@ -1,15 +1,38 @@
#! /bin/sh
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
+SDIR=$(readlink -f `dirname $0`)
+
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
fi
+LOGF=make.jogl.all.android-x86-cross.log
+rm -f ${LOGF}
+
+export ANDROID_HOME=/opt-linux-x86_64/android-sdk-linux_x86_64
+export ANDROID_API_LEVEL=24
+export ANDROID_HOST_TAG=linux-x86_64
+export ANDROID_ABI=x86
+
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh >> $LOGF 2>&1
+else
+ echo "${SDIR}/../../../setenv-android-tools.sh doesn't exist!" 2>&1 | tee -a ${LOGF}
+ exit 1
+fi
+
+export GLUEGEN_CPPTASKS_FILE=${SDIR}/../../../gluegen/make/lib/gluegen-cpptasks-android-x86.xml
+export PATH_VANILLA=$PATH
+export PATH=${ANDROID_TOOLCHAIN_ROOT}/${ANDROID_TOOLCHAIN_NAME}/bin:${ANDROID_TOOLCHAIN_ROOT}/bin:${ANDROID_HOME}/platform-tools:${ANDROID_BUILDTOOLS_ROOT}:${PATH}
+echo PATH ${PATH} 2>&1 | tee -a ${LOGF}
+echo clang `which clang` 2>&1 | tee -a ${LOGF}
+
export NODE_LABEL=.
export HOST_UID=jogamp
# jogamp02 - 10.1.0.122
export HOST_IP=10.1.0.122
-export HOST_RSYNC_ROOT=PROJECTS/JOGL
+export HOST_RSYNC_ROOT=PROJECTS/JogAmp
export TARGET_UID=jogamp
export TARGET_IP=panda02
@@ -20,81 +43,19 @@ export TARGET_ADB_PORT=5555
export TARGET_ROOT=/data/projects
export TARGET_ANT_HOME=/usr/share/ant
-echo ANDROID_HOME $ANDROID_HOME
-echo NDK_ROOT $NDK_ROOT
-
-if [ -z "$NDK_ROOT" ] ; then
- #
- # Generic android-ndk
- #
- if [ -e /usr/local/android-ndk ] ; then
- NDK_ROOT=/usr/local/android-ndk
- elif [ -e /opt-linux-x86/android-ndk ] ; then
- NDK_ROOT=/opt-linux-x86/android-ndk
- elif [ -e /opt/android-ndk ] ; then
- NDK_ROOT=/opt/android-ndk
- #
- # Specific android-ndk-r8d
- #
- elif [ -e /usr/local/android-ndk-r8d ] ; then
- NDK_ROOT=/usr/local/android-ndk-r8d
- elif [ -e /opt-linux-x86/android-ndk-r8d ] ; then
- NDK_ROOT=/opt-linux-x86/android-ndk-r8d
- elif [ -e /opt/android-ndk-r8d ] ; then
- NDK_ROOT=/opt/android-ndk-r8d
- else
- echo NDK_ROOT is not specified and does not exist in default locations
- exit 1
- fi
-elif [ ! -e $NDK_ROOT ] ; then
- echo NDK_ROOT $NDK_ROOT does not exist
- exit 1
-fi
-export NDK_ROOT
-
-if [ -z "$ANDROID_HOME" ] ; then
- if [ -e /usr/local/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/usr/local/android-sdk-linux_x86
- elif [ -e /opt-linux-x86/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/opt-linux-x86/android-sdk-linux_x86
- elif [ -e /opt/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/opt/android-sdk-linux_x86
- else
- echo ANDROID_HOME is not specified and does not exist in default locations
- exit 1
- fi
-elif [ ! -e $ANDROID_HOME ] ; then
- echo ANDROID_HOME $ANDROID_HOME does not exist
- exit 1
-fi
-export ANDROID_HOME
-
-export ANDROID_VERSION=24
export SOURCE_LEVEL=1.8
export TARGET_LEVEL=1.8
export TARGET_RT_JAR=/opt-share/jre1.8.0_212/lib/rt.jar
-export GCC_VERSION=4.9
-HOST_ARCH=linux-x86
-export TARGET_TRIPLE=i686-linux-android
-export TOOLCHAIN_NAME=x86
-
-export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TOOLCHAIN_NAME}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
-export TARGET_PLATFORM_SYSROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-x86
-
-# Need to add toolchain bins to the PATH.
-export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$PATH"
-
-export GLUEGEN_CPPTASKS_FILE=`pwd`/../../gluegen/make/lib/gluegen-cpptasks-android-x86.xml
-
#export JUNIT_DISABLED="true"
#export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
#export JOGAMP_JAR_CODEBASE="Codebase: *.jogamp.org"
export JOGAMP_JAR_CODEBASE="Codebase: *.goethel.localnet"
-# BUILD_ARCHIVE=true \
+#BUILD_ARCHIVE=true \
ant \
-Drootrel.build=build-android-x86 \
- $* 2>&1 | tee -a make.jogl.all.android-x86-cross.log
+ -Dgcc.compat.compiler=clang \
+ $* 2>&1 | tee -a ${LOGF}